Bug 11772 - Backport ldb-1.1.26 changes
Backport ldb-1.1.26 changes
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.4.0rc3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on: 11771
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-03 10:42 UTC by Karolin Seeger
Modified: 2016-03-21 11:38 UTC (History)
4 users (show)

See Also:


Attachments
patches for v4-4-test (71.97 KB, patch)
2016-03-03 10:43 UTC, Karolin Seeger
asn: review+
abartlet: review-
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Karolin Seeger 2016-03-03 10:42:52 UTC
Backport ldb-1.1.26 changes
Comment 1 Karolin Seeger 2016-03-03 10:43:42 UTC
Created attachment 11894 [details]
patches for v4-4-test
Comment 2 Andrew Bartlett 2016-03-03 20:46:42 UTC
Comment on attachment 11894 [details]
patches for v4-4-test

This appears to be missing these changes:

commit a1c5d662d4846a66f70d9a48b86fdda95264b30e
Author: Michael Adam <obnox@samba.org>
Date:   Fri Feb 5 11:53:11 2016 +0100

    ldb: remove uneeded type argument from DLIST_DEMOTE()

commit 1441824fe6a797e53fb182b00017a0f927ec42bf
Author: Michael Adam <obnox@samba.org>
Date:   Fri Feb 5 12:02:26 2016 +0100

    ldb: remove unneeded argument type from DLIST_CONCATENATE()

commit d44f488317b431317963b42993cc56e2289a4d0d
Author: Michael Adam <obnox@samba.org>
Date:   Fri Feb 5 12:05:26 2016 +0100

    ldb: remove outdated comment about type argument in dlist

I realise these are unimportant, but we should keep these strictly in-sync, so if an ldb tarball is created from the 4.4 tree it would match the release it declares itself to be.
Comment 3 Stefan Metzmacher 2016-03-04 09:23:20 UTC
(In reply to Andrew Bartlett from comment #2)

Andrew, the DLIST patches are in the tevent-0.9.28 patchset
and this patchset and bug depends on that. That means
with both patchsets everything is in sync.
Comment 4 Karolin Seeger 2016-03-04 10:29:25 UTC
(In reply to Stefan Metzmacher from comment #3)
Pushed to autobuild-v-4-test together with the DLIST patches included in bug #11771.
Comment 5 Karolin Seeger 2016-03-21 11:38:37 UTC
Pushed to v4-4-test.
Closing out bug report.

Thanks!